Subject: Re: HLJ - Cyber Hobby 1/48 Junkers Ju 88G-6 ‘Nachtjäger’ w/ Luftwaffe Pilots
From: "Submissions for ARC" <[email-masked]>
To: "Dave Johnson" <[email-masked]>
Date: Sun, 24 Oct 2010 13:48:02 -0700

Hi,
I just wanted to let you know your article went on ARC today.  Thanks again 
for sending it in.

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

----- Original Message ----- 
From: "Dave Johnson" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, October 12, 2010 3:28 PM
Subject: HLJ - Cyber Hobby 1/48 Junkers Ju 88G-6 ‘Nachtjäger’ w/ Luftwaffe 
Pilots

>
>
> Cyber Hobby
>
> 1/48 Junkers Ju 88G-6 ‘Nachtjäger’ w/ Luftwaffe Pilots
>
> Product #5563 (http://www.hlj.com/product/CYVCH5563) from HobbyLink
> Japan (http://www.hlj.com/scripts/hljlist.cgi?rel=nav&GenreCode=Air
> <http://www.hlj.com/scripts/hljlist.cgi?rel=nav&GenreCode=Air>)
>
> Product Article by Dave Johnson on  October 2010
>
> *History -*
>
> The Junkers Ju88 was designed by Hugo Junkers company in the
> mid-1930s,The Ju 88 suffered from a few number of technical problems and
> setbacks during the later stages of its development and early
> operational roles. But the Junkers Ju 88 became one of the most
> versatile combat aircraft during the Second World War. The Junkers Ju 88
> was found to be suited to virtually any role it was used for. The Ju 88
> assembly line ran constantly from 1936 to 1945, and more than 16,000 Ju
> 88s were built in many forms of variants, more than any other
> twin-engine German aircraft of that period. Throughout the production,
> the basic structure of the aircraft remained unchanged, proof of the
> outstanding quality of the original design from Hugo Junkers. The
> Junkers Ju 88G was developed as a night fighter that used a modified A
> series fuselage. The G series fuselage was purpose-built for the special
> needs of a night fighter role. The Ju 88G-6 versions were equipped with
> 2 Jumo 213a inline-V12 engines, enlarged fuel tanks and often one or two
> 20 mm MG151/2 cannons in a slanted installation, that fired obliquely
> upwards and forwards from the upper fuselage. Many Luftwaffe night
> fighter aces, such as Helmut Lent (110 victories) and Heinrich vonund zu
> Sayn-Wittgenstein (87 victories) flew Junkers Ju 88s during their careers.
>
> *The Kit -*
>
> The Junkers Ju 88G kit was first released before under DML/Dragon name
> back around in the early 2000’s if my brain is correct, and has been out
> of production for a while. With Dragon releasing newly tooled kits under
> the Cyber Hobby name, they have slipped in some newer boxing's of these
> older kits that have been released in the past. The kit it's self is
> fantastic with excellent molding and crisp details. The cockpit has some
> mighty fine details even with a kit of this age featuring control panels
> and radio equipment that is fitted into the nose of the aircraft that is
> molded separately from the fuselage. There are no seat harness supplied
> with the kit, these will be very visible through the canopy and the
> modeler may want to seek a aftermarket or a scratch built solution. Each
> wing assembly’s are molded in 4 parts two wing half’s and two other
> parts that make up a insert for the wing tips. The controllable surfaces
> are molded as separate parts, that are designed to install in one
> position, but with some clever modeling these could be easily positioned
> differently to what its intended too. The main landing gears comprise of
> 10 parts that build into a sturdy assembly that will support the weight
> of the finished model. The inline Juno engines are not supplied in the
> kit, but the engine cowls come with night fighter exhaust dampers,
> optional cowl flaps in the open and closed positions. The propellers are
> made up 3 individual prop blades and a single hub and spinner. Also
> included in the kit is a photo etch fret that contains *control surface
> actuators, exhaust grilles and other small items*.
>
> The kits decals are printed on a small sheet of decal paper that appears
> nice and thin paper. Decals are in good register and are well printed.
> There are no swastikas included on the sheet, so you will be required to
> dig into your spare/leftover decals. There are two schemes that are
> offered in this boxing –
>
> *3./NJG 101 at Praha Gbell Airfield in 1945. *
>
> *4./NJG 4 in 1945.*
>
> *Also included in this boxing are 6 Luftwaffe pilots in different poses.
> Two of the figures are laying back in deck chairs and the four others
> are playing and watching a game of cards. There are chairs and tables
> include too.*
>
> *Overall the kit is excellent for its age, and gives people the chance
> to pick one or more of these kits, if you missed out on the first time
> it was released. For what is included in the box its worth ever cent
> that you pay. I am looking forward to see what else Cyber Hobby
> re-releases, as there is a couple of out of production kits that I would
> love to add to my stash! *
>
> I would like to thank HobbyLink Japan (www.hlj.com <http://www.hlj.com>)
> for supplying this review sample.
>
>